<h1 class="p-text-center">Neuer Tagebucheintrag</h1>
  <form (ngSubmit)="createEntry()" [formGroup]="entry" ngNativeValidate>
    <div class="p-fluid p-formgrid p-grid">
    <div class="p-field p-col-12 p-md-6">
      <label for="date">Datum</label>
      <p-calendar id="date" required formControlName="Date"></p-calendar>
    </div>
    <div class="p-field p-col-12 p-md-6">
      <label for="temp">Bartlänge</label>
      <p-inputNumber
        id="temp"
        prefix="↑ "
        suffix="cm"
        :min="0"
        :max="40"
        required
        formControlName="Length"
      ></p-inputNumber>
    </div>
    <div class="p-field p-col-12 p-md-6">
      <label for="phValue">TimeSpan</label>
      <p-inputNumber
        id="phValue"
        mode="decimal"
        [minFractionDigits]="2"
        [maxFractionDigits]="2"
        formControlName="TimeSpan"
      ></p-inputNumber>
    </div>
    <div class="p-field p-col-12 p-md-6">
      <label for="timeRueckspul">Marke</label>
      <input type="text" pInputText
        id="timeRueckspul"
        formControlName="Brand"
      />
    </div>
    <div class="p-field p-col-12 p-md-6">
      <label for="chlorValue">Tool</label>
      <input type="text" pInputText
        id="chlorValue"
        formControlName="Tool"
      />
    </div>
    <div class="p-field p-col-12 p-md-6">
      <label for="airTemp">Rasiertyp</label>
      <input type="text" pInputText
        id="airTemp"
        required
        formControlName="ShaveType"
      />
    </div>
    <div class="p-field p-col-12">
      <label>Kommentar</label>
      <textarea pInputTextarea formControlName="Comment"></textarea>
    </div>
    <div class="p-field p-col-12">
      <p-button label="Speichern" type="submit"></p-button>
    </div>
</div>
</form>

<p-dialog header="Fehler!" [(visible)]="display">
  <p>Es existiert bereits ein Eintrag für den {{errorDate}}.</p>
  <p>Stattdessen den Eintrag vom {{errorDate}} <span class="link-color link-hover" (click)="goToEntry()">bearbeiten</span>?</p>
  <button pButton type="button" label="Schließen" (click)="closeAlert()"></button>
</p-dialog>

<p-dialog header="Erfolgreich!" [(visible)]="displaySuccess">
  <p>Eintrag erfolgreich hinzugefügt</p>
  <button pButton type="button" label="Schließen" (click)="closeAlertSuccess()"></button>
</p-dialog>